Bug 485588 - Typing break does not count suspend time
Typing break does not count suspend time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: Triaged
: 564202 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-14 17:58 EST by Jan "Yenya" Kasprzak
Modified: 2010-12-05 02:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:01:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 430797 None None None Never

  None (edit)
Description Jan "Yenya" Kasprzak 2009-02-14 17:58:12 EST
Description of problem:
When typing break is enabled (Main menu->System->Preferences->Hardware->Keyboard), it does not count the time during which the system has been suspended. When it is "almost" before the typing break should occur, and the laptop is supsended, after the resume it requests a typing break almost immediately, even though the system has been suspended for several hours.

Version-Release number of selected component (if applicable):
control-center-2.24.0.1-11.fc10.x86_64

How reproducible:
100 %

Steps to Reproduce:
0. have a laptop with working suspend-to-RAM
1. enable the typing break in Main menu->System->Preferences->Hardware->Keyboard
2. use the computer for some time, until it is almost the time for a typing break (the notification area applet starts blinking)
3. suspend to RAM, wait an hour (or whatever)
4. resume and use the computer, unless the typing break is requested
  
Actual results:
the typing break occurs almost immediately, as if the laptop has not been
suspended.

Expected results:
after the resume, the typing break applet should restart its timer from zero.

Additional info:
x86_64 system, but I don't think it is arch-specific.
Comment 1 Aldy Hernandez 2009-04-06 09:38:08 EDT
Is there an ETA on a fix for this?  It would seem that we could either trap on a suspend and reset the timer, or just check the system time every few seconds.  

I trigger this bug virtually every day, as I frequently just suspend when I need a break.
Comment 2 JanS 2009-04-06 11:45:43 EDT
This bug has a long history. I have found _many_ duplicates of this bug on different bugzillas, with the oldest from beginning of 2007. It is curious because it seem as very simple bug to fix.

I think the main discussions is now on Gnome bugzilla, here:  
http://bugzilla.gnome.org/show_bug.cgi?id=430797
Comment 3 JanS 2009-09-09 02:53:22 EDT
Same issue on Fedora 11
Comment 4 Bug Zapper 2009-11-18 06:06:39 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jan "Yenya" Kasprzak 2009-11-18 06:22:01 EST
Dear bug zapper and dear package maintainer,

do you actually read the comments? The comment #3 clearly says that the problem is still present in F11. This bug Version tag should have been changed to F11 two months ago.

Additionally, I have just verified that the bug is still present in F12.

There apparently exists an upstream fix, it is described in the upstream bug entry, mentioned in comment #2.
Comment 6 Ray Strode [halfline] 2009-11-18 10:57:14 EST
Hi,

The "bag zapper" is an automated message.  The person who triggered the message sent it to thousands of bugs at the same time.  He's not reading this report specifically right now.
Comment 7 Ray Strode [halfline] 2009-11-18 11:03:01 EST
Given this was committed a week ago, it will roll into the next stable control center release, which we'll push to Fedora 12.
Comment 8 Matthias Clasen 2010-02-15 00:55:41 EST
*** Bug 564202 has been marked as a duplicate of this bug. ***
Comment 9 Bug Zapper 2010-11-04 07:30:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-05 02:01:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.